ValidationException (Grails 6.0.0)

Package: grails.validation

## [Java] Class ValidationException

- grails.validation.ValidationException

-     public class ValidationException
      extends GrailsException

  Thrown when validation fails during a .save().

  Authors:
    Jeff Brown
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.validation.Errors` | `errors` |
    `private java.lang.String` | `fullMessage` |
    `private static long` | `serialVersionUID` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsException` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ValidationException (java.lang.String msg, org.springframework.validation.Errors e)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static java.lang.String` | `formatErrors(org.springframework.validation.Errors errors)`
    `` | `public static java.lang.String` | `formatErrors(org.springframework.validation.Errors errors, java.lang.String msg)`
    `` | `public org.springframework.validation.Errors` | `getErrors()`
    `` | `public java.lang.String` | `getMessage()`

- - ### Field Detail

    - #### private org.springframework.validation.Errors errors

    - #### private java.lang.String fullMessage

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public ValidationException(java.lang.String msg, org.springframework.validation.Errors e)

  - ### Method Detail

    - #### public static java.lang.String formatErrors(org.springframework.validation.Errors errors)

    - #### public static java.lang.String formatErrors(org.springframework.validation.Errors errors, java.lang.String msg)

    - #### public org.springframework.validation.Errors getErrors()

    - #### public java.lang.String getMessage()